Retrieve guides
curl --request GET \
--url https://api.spacebring.com/guides/v1 \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/guides/v1"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/guides/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"guides": [
{
"attachments": [
{
"key": "<string>",
"mime": "<string>",
"name": "<string>",
"url": "<string>",
"size": 123
}
],
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"key": "<string>",
"url": "<string>",
"height": 123,
"mime": "<string>",
"width": 123
}
],
"title": "<string>",
"visibility": "public",
"description": "<string>",
"locale": "<string>"
}
],
"nextPageToken": "<string>",
"searchQueryNext": "<string>"
}{
"message": "<string>",
"type": "<string>"
}{
"message": "<string>",
"type": "<string>"
}Guides
Retrieve guides
Retrieve all guides for an organization. Requires locationRef. When using bearer token (non-basic auth), results are filtered by the user’s access.
OAuth
Required scopes:support.readonly or supportGET
/
guides
/
v1
Retrieve guides
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Query Parameters
Maximum number of guides per page. Defaults to 25 when omitted or invalid; values above 100 are capped at 100.
Required range:
1 <= x <= 100UUID of the location whose guides to list.
Pagination token from nextPageToken in a previous response. Keep the same filters when fetching the next page.
Was this page helpful?